Toto, we don't support Linux 2.4 anymore..
[openwrt/svn-archive/archive.git] / package / 6in4 / Makefile
1 #
2 # Copyright (C) 2010 OpenWrt.org
3 #
4 # This is free software, licensed under the GNU General Public License v2.
5 # See /LICENSE for more information.
6 #
7
8 include $(TOPDIR)/rules.mk
9
10 PKG_NAME:=6in4
11 PKG_VERSION:=6
12 PKG_RELEASE:=1
13
14 include $(INCLUDE_DIR)/package.mk
15
16 define Package/6in4
17 SECTION:=ipv6
18 CATEGORY:=IPv6
19 DEPENDS:=+ip +kmod-ipv6 +kmod-sit
20 TITLE:=IPv6-in-IPv4 configuration support
21 MAINTAINER:=Jo-Philipp Wich <xm@subsignal.org>
22 PKGARCH:=all
23 endef
24
25 define Package/6in4/description
26 Provides support for 6in4 tunnels in /etc/config/network.
27 Refer to http://wiki.openwrt.org/doc/uci/network for
28 configuration details.
29 endef
30
31 define Build/Compile
32 endef
33
34 define Build/Configure
35 endef
36
37 define Package/6in4/install
38 $(INSTALL_DIR) $(1)/lib/network
39 $(INSTALL_DATA) ./files/6in4.sh $(1)/lib/network/6in4.sh
40 $(INSTALL_DIR) $(1)/etc/hotplug.d/iface
41 $(INSTALL_DATA) ./files/6in4.hotplug $(1)/etc/hotplug.d/iface/90-6in4
42 endef
43
44 $(eval $(call BuildPackage,6in4))